summaryrefslogtreecommitdiff
path: root/installers
diff options
context:
space:
mode:
authorzachir <zachir@librem.one>2024-06-06 15:16:14 -0500
committerzachir <zachir@librem.one>2024-06-06 15:32:40 -0500
commit663699322c45f2c830e167d142d6b3579e849eb4 (patch)
treec194a1b7ce5135e7f22a1e00a3b032737ce77df5 /installers
parent899297fc07bb6560b543741aff6c8d172429b090 (diff)
Install ZDOTDIR globally and load profile manually
This means I don't need to have either ~/.profile or ~/.zshenv symlinks in the home directory. This adds in an installer to set that up.
Diffstat (limited to 'installers')
-rwxr-xr-xinstallers/set_zshdirs.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/installers/set_zshdirs.sh b/installers/set_zshdirs.sh
new file mode 100755
index 0000000..2d82f19
--- /dev/null
+++ b/installers/set_zshdirs.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+if [ -f /etc/zshenv ]; then
+ ZSHENV="/etc/zshenv"
+elif [ -d /etc/zsh ]; then
+ ZSHENV="/etc/zsh/zshenv"
+else
+ ZSHENV="/etc/zshenv"
+fi
+
+if ! grep -q "ZDOTDIR" $ZSHENV 2>/dev/null; then
+ echo "export ZDOTDIR=\"\$HOME\"/.config/zsh" >> $ZSHENV
+fi